/* IBM Tivoli OMEGAMON XE for IMS for z/OS v 3.1.0 Situations  */

/* Add Heartbeat u-advisor for *HUB to drive IPFILTER                 */

/* ***************************************************************** */
/* * Add the rule for doing heartbeat processing.                  * */
/* ***************************************************************** */
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME =
  'IMS_Plex_Heartbeat';


INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1050214000000000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "IMS_Plex_Heartbeat"                                   /* OBJNAME */
  );

/* ***************************************************************** */
/* * Add the rule for doing heartbeat processing.                  * */
/* ***************************************************************** */
DELETE FROM O4SRV.SITDB WHERE RULENAME =
  'IMS_Plex_Heartbeat______________';

INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE
  )
VALUES
  (
   'IMS_Plex_Heartbeat______________',
   'SELECT IDNAME,IDTYPE,IDSTATUS,ORIGINNODE,SMFID,IMSID,TIMESTAMP,
    SAMPLENO,ROWNO,NODELIST,IMSTYPE,MONSTAT,TRFSTAT,IMSVER,GRPCNT,
    PLEXNAME,LASTTIME,DSGROUP,SQGROUP FROM KIP.IPFILTER
    WHERE SYSTEM.PARMA("SITNAME", "IMS_Plex_Heartbeat", 18) AND
    SYSTEM.PARMA("VERSION", "##", 2) AND IDNAME = "*NOFETCH";'
  );

/* ** IMS Heartbeat ** */

$PARMS("Heart beat situation: This situation should never be raised");
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
  )
VALUES
  ("IMS_Plex_Heartbeat",                                  /* SITNAME */
   ?,                                                      /* ADVICE */
   "00G0000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                 /* AUTOSOP */
   "*SYN",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1050214000000000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "BUILD",                                             /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "IMS_",                                             /* QIBCLASSID */
   "I",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEF_TIME */
   "",                                                   /* REFLEXOK */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Heartbeat situation to detect IMS data sharing groups",  /* TEXT */
   "*IF  *VALUE IMSplex_Filter.Group_Or_Subsystem_Name *EQ *NOFETCH"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical"
;

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Criti
cal";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical
";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Criti
cal";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit
";

$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","CF RLE's percent used exceeded 
the critical threshold.","1040709095709000","00G000000000000000000000000
0000000000000000","IMS_IRLM_CF_RLE_Percent_Crit","*IF *VALUE CF_Group_Na
me.Record_Used_Percent *GE 90");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warn
ing";

$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","CF RLE's percent used exceeded 
the warning threshold.","1040709095709000","00G0000000000000000000000000
000000000000000","IMS_IRLM_CF_RLE_Percent_Warning","*IF *VALUE CF_Group_
Name.Record_Used_Percent *GE 80 *AND *VALUE CF_Group_Name.Record_Used_Pe
rcent *LE 89");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MQ_Connection_Status";

$PARMS("The specified MQSeries Queue Manager is not connected to IMS.  R
eview connection parameters for possible errors.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Show MQ connection status to IM
S","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_MQ_Connection_Status","*IF *SCAN Local_KIP_MQ_Statistics.Subsystem_Stat
us *EQ CONN");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Count_Critical
";

$PARMS("MQSeries queue counts have exceeded expected values.  Determine 
if MQSeries channel paths are online to service the queues.  Queue Manag
er status should also be determined.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","MSC queue count has exceeded th
e critical threshold.","1040709095709000","00G00000000000000000000000000
00000000000000","IMS_MSC_Queue_Count_Critical","*IF *VALUE Local_MSC_Log
ical_Links.Queue_Count *GE 100");


DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Count_Warning"
;

$PARMS("MQSeries queue counts have exceeded expected values.  Determine 
if MQSeries channel paths are online to service the queues.  Queue Manag
er status should also be determined.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","MSC queue count has exceeded th
e warning threshold.","1040709095709000","00G000000000000000000000000000
0000000000000","IMS_MSC_Queue_Count_Warning","*IF *VALUE Local_MSC_Logic
al_Links.Queue_Count *GE 50 *AND *VALUE Local_MSC_Logical_Links.Queue_Co
unt *LE 99");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Status";

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Group_Response_Criti
cal";

$PARMS("Response time has exceed expected values.  Use the Application T
race Facility (ATF) to understand how the application might be behaving 
incorrectly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","RTA Group response has exceeded
 the critical threshold.","1040709095709000","00G00000000000000000000000
00000000000000000","IMS_RTA_Group_Response_Critical","*IF *VALUE Local_R
TA_GNT.R0_Time *GE 5 *OR *VALUE Local_RTA_GNT.R1_Time *GE 7");


DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Group_Response_Warni
ng";

$PARMS("Response time has exceed expected values.  Use the Application T
race Facility (ATF) to understand how the application might be behaving 
incorrectly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","RTA Group response has exceeded
 the warning threshold.","1040709095709000","00G000000000000000000000000
0000000000000000","IMS_RTA_Group_Response_Warning","*IF ( *VALUE Local_R
TA_GNT.R0_Time *GE 3 *AND *VALUE Local_RTA_GNT.R0_Time *LT 5) *OR ( *VAL
UE Local_RTA_GNT.R1_Time *GE 5 *AND *VALUE Local_RTA_GNT.R1_Time *LT 7)"
);

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Item_Response_Critic
al";

$PARMS("Response time has exceed expected values.  Use the Application T
race Facility (ATF) to understand how the application might be behaving 
incorrectly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","RTA Item response has exceeded 
the critical threshold.","1040709095709000","00G000000000000000000000000
0000000000000000","IMS_RTA_Item_Response_Critical","*IF *VALUE Local_RTA
_INT.R0_Time *GE 5 *OR *VALUE Local_RTA_INT.R1_Time *GE 7");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Item_Response_Warnin
g";

$PARMS("Response time has exceed expected values.  Use the Application T
race Facility (ATF) to understand how the application might be behaving 
incorrectly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","RTA Item response has exceeded 
the warning threshold.","1040709095709000","00G0000000000000000000000000
000000000000000","IMS_RTA_Item_Response_Warning","*IF ( *VALUE Local_RTA
_INT.R0_Time *GE 3 *AND *VALUE Local_RTA_INT.R0_Time *LT 5) *OR ( *VALUE
 Local_RTA_INT.R1_Time *GE 5 *AND *VALUE Local_RTA_INT.R1_Time *LT 7)");
 
/* ** DELETED UADVISOR RECORDS 16-25 ** */




DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Largest_Freeblock_Warnin
g";

$PARMS("The pool identified in this exception has exceeded the threshold
for largest free storage area. When the largest area available becomes
too small to handle the request, applications can stall or terminate. Yo
u can address this issue by reducing the amount of work being requested
or increasing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool Largest Free Space Low","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Larg
est_Freeblock_Warning","*IF *VALUE Pool_Utilization.Largest_Free_Block *
LE 4916 *AND *VALUE Pool_Utilization.Largest_Free_Block *GT 4096");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Largest_Freeblock_Critic
al";

$PARMS("The pool identified in this exception has exceeded the threshold
for largest free storage area. When the largest area available becomes
too small to handle the request, applications can stall or terminate. Yo
u can address this issue by reducing the amount of work being requested
or increasing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool Largest Free Space Low","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Larg
est_Freeblock_Critical","*IF *VALUE Pool_Utilization.Largest_Free_Block
*LE 4096");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_High_Warning";

$PARMS("The address space identified in the exception is using a higher
percent of CPU than the specified threshold. This could be an indication
of a run away task or that the region is in the middle of error recover
y. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using high CPU","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_CPU_High_
Warning","*IF *VALUE Address_Spaces.CPU_Percentage *GE 50.00 *AND *VALUE
Address_Spaces.CPU_Percentage *LT 60.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_High_Critical";

$PARMS("The address space identified in the exception is using a higher
percent of CPU than the specified threshold. This could be an indication
of a run away task or that the region is in the middle of error recover
y. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using high CPU","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_CPU_High_
Critical","*IF *VALUE Address_Spaces.CPU_Percentage *GE 60.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_Low_Warning";

$PARMS("The address space identified in the exception is using a CPU per
centage less than the specified threshold.  This could be an indication
that part or all of your IMS system has stalled. If the problem persists
, verify that all regions are active and are in a normal status.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using low CPU","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_CPU_Low_Wa
rning","*IF *VALUE Address_Spaces.CPU_Percentage *LE 12.00 *AND *VALUE A
ddress_Spaces.CPU_Percentage *GT 10.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CPU_Low_Critical";

$PARMS("The address space identified in the exception is using a CPU per
centage less than the specified threshold.  This could be an indication
that part or all of your IMS system has stalled. If the problem persists
, verify that all regions are active and are in a normal status.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using low CPU","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_CPU_Low_Cr
itical","*IF *VALUE Address_Spaces.CPU_Percentage *LE 10.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_High_Warning
";

$PARMS("The address space identified in the exception is doing more I/O
requests then the specified thresholds. The region may be in abend proce
ssing and generating a dump or attempting to recover from I/O errors on
a database. If the problem persists, you should look at the JOB for the
region to determine if it is currently running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate High","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP
_High_Warning","*IF *VALUE Address_Spaces.EXCP_Rate *GE 2.0 *AND *VALUE
Address_Spaces.EXCP_Rate *LT 3.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_High_Critica
l";

$PARMS("The address space identified in the exception is doing more I/O
requests then the specified thresholds. The region may be in abend proce
ssing and generating a dump or attempting to recover from I/O errors on
a database. If the problem persists, you should look at the JOB for the
region to determine if it is currently running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate High","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP
_High_Critical","*IF *VALUE Address_Spaces.EXCP_Rate *GE 3.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_Low_Warning"
;

$PARMS("The address space identified in the exception is doing fewer I/O
requests then the specified thresholds. This could be an indication tha
t part of all of your IMS system has stalled. If the problem persists, y
ou should look at the JOB for the region to determine if it is currently
running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate Low","104070909
5709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP_
Low_Warning","*IF *VALUE Address_Spaces.EXCP_Rate *LE 2.0 *AND *VALUE Ad
dress_Spaces.EXCP_Rate *GT 1.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_Low_Critical
";

$PARMS("The address space identified in the exception is doing fewer I/O
requests then the specified thresholds. This could be an indication tha
t part of all of your IMS system has stalled. If the problem persists, y
ou should look at the JOB for the region to determine if it is currently
running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate Low","104070909
5709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP_
Low_Critical","*IF *VALUE Address_Spaces.EXCP_Rate *LE 1.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Common_PageIn_High_Warni
ng";

$PARMS("The address space identified in the exception is causing high pa
ge in rates for common storage. This could be an indication of a problem
with an application using too much common storage or possibly looping.
If this condition persists, look at the job logs for the started task to
determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Common storage page in rate hig
h","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_Common_PageIn_High_Warning","*IF *VALUE Address_Spaces.Common_Page-In_R
ate *GE 2.0 *AND *VALUE Address_Spaces.Common_Page-In_Rate *LT 3.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Common_PageIn_High_Criti
cal";

$PARMS("The address space identified in the exception is causing high pa
ge in rates for common storage. This could be an indication of a problem
with an application using too much common storage or possibly looping.
If this condition persists, look at the job logs for the started task to
determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Common storage page in rate hig
h","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_Common_PageIn_High_Critical","*IF *VALUE Address_Spaces.Common_Page-In_
Rate *GE 3.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Private_PageIn_High_Warn
ing";

$PARMS("The address space identified in the exception is causing high pa
ge in rates for private storage. This could be an indication of a proble
m with an application using too much private storage or possibly looping
. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Private storage page in rate hi
gh","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_Private_PageIn_High_Warning","*IF *VALUE Address_Spaces.Private_Page-I
n_Rate *GE 2.0 *AND *VALUE Address_Spaces.Private_Page-In_Rate *LT 3.0")
;

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Private_PageIn_High_Crit
ical";

$PARMS("The address space identified in the exception is causing high pa
ge in rates for private storage. This could be an indication of a proble
m with an application using too much private storage or possibly looping
. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Private storage page in rate hi
gh","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_Private_PageIn_High_Critical","*IF *VALUE Address_Spaces.Private_Page-
In_Rate *GE 3.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_High_Warning";

$PARMS("The address space identified in the exception has a larger worki
ng set size than the specified threshold. This could be an indication of
a problem with an application not freeing up storage after it is used o
r possibly a looping condition. If this condition persists, look at the
job logs for the started task to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set high","10407
09095709000","00G0000000000000000000000000000000000000000","IMS_WSS_High
_Warning","*IF *VALUE Address_Spaces.Working_Set_Size *GE 1200 *AND *VAL
UE Address_Spaces.Working_Set_Size *LT 1500");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_High_Critical";

$PARMS("The address space identified in the exception has a larger worki
ng set size than the specified threshold. This could be an indication of
a problem with an application not freeing up storage after it is used o
r possibly a looping condition. If this condition persists, look at the
job logs for the started task to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set high","10407
09095709000","00G0000000000000000000000000000000000000000","IMS_WSS_High
_Critical","*IF *VALUE Address_Spaces.Working_Set_Size *GE 1500");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_Low_Warning";

$PARMS("The address space identified in the exception has a smaller work
ing set size then the specified threshold. This could be an indication o
f a problem with an application or region being in a stalled state. If t
his condition persists, look at the job logs for the started task to det
ermine if the region is still usable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set low","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_WSS_Low_W
arning","*IF *VALUE Address_Spaces.Working_Set_Size *LE 60 *AND *VALUE A
ddress_Spaces.Working_Set_Size *GT 50");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WSS_Low_Critical";

$PARMS("The address space identified in the exception has a smaller work
ing set size then the specified threshold. This could be an indication o
f a problem with an application or region being in a stalled state. If t
his condition persists, look at the job logs for the started task to det
ermine if the region is still usable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set low","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_WSS_Low_C
ritical","*IF *VALUE Address_Spaces.Working_Set_Size *LE 50");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Warning"
;

$PARMS("The system dataset identified in this exception has an I/O rate
higher then the specified threshold. High I/O rates could impact the per
formance of the IMS system. If this persists, you should verify that the
dataset being used and the region using it are not having problems.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Dataset I/O Rate high","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_DS_I/ORate
_High_Warning","*IF *VALUE IMS_I/O.I/O_Rate *GE 80.00 *AND *VALUE IMS_I/
O.I/O_Rate *LT 100.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Critical
";

$PARMS("The system dataset identified in this exception has an I/O rate
higher then the specified threshold. High I/O rates could impact the per
formance of the IMS system. If this persists, you should verify that the
dataset being used and the region using it are not having problems.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Dataset I/O Rate high","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_DS_I/ORate
_High_Critical","*IF *VALUE IMS_I/O.I/O_Rate *GE 100.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Pool_Util_High_Warning";

$PARMS("The pool identified in this exception has exceeded the threshold
for utilization. When pool space is exhausted, applications will stall
while waiting for the pool space to become available again. You can addr
ess this issue by reducing the amount of work being requested or increas
ing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool space utilization high","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Pool
_Util_High_Warning","*IF *VALUE Pool_Utilization.Utilization_Percentage
*GE 48.00 *AND *VALUE Pool_Utilization.Utilization_Percentage *LT 60.00"
);

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Pool_Util_High_Critical"
;

$PARMS("The pool identified in this exception has exceeded the threshold
for utilization. When pool space is exhausted, applications will stall
while waiting for the pool space to become available again. You can addr
ess this issue by reducing the amount of work being requested or increas
ing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool space utilization high","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Pool
_Util_High_Critical","*IF *VALUE Pool_Utilization.Utilization_Percentage
 *GE 60.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Held_Locks_Warning";

$PARMS("The total number of locks held has exceeded the threshold. When
the lock held count becomes too high, it increases the chances that ther
e will be lock contention and therefore causes performance degradation.
If one application is consuming most of the locks, you may want to verif
y that the application is not in a state where it cannot release the loc
ks it currently holds.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Held locks high","1040709095709
000","00G0000000000000000000000000000000000000000","IMS_Held_Locks_Warni
ng","*IF *VALUE Dependent_Regions.Locks_Held_Count *GE 8 *AND *VALUE Dep
endent_Regions.Locks_Held_Count *LT 10");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Held_Locks_Critical";

$PARMS("The total number of locks held has exceeded the threshold. When
the lock held count becomes too high, it increases the chances that ther
e will be lock contention and therefore causes performance degradation.
If one application is consuming most of the locks, you may want to verif
y that the application is not in a state where it cannot release the loc
ks it currently holds.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Held locks high","1040709095709
000","00G0000000000000000000000000000000000000000","IMS_Held_Locks_Criti
cal","*IF *VALUE Dependent_Regions.Locks_Held_Count *GE 10");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_WaitSVC";

$PARMS("The control task has a TCB in SVC wait. This could slow down the
performance of the IMS system if it persists. You should look at the jo
b for the IMS control region and determine if it has abnormally terminat
ed or is in the process of generating a dump.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Control task TCB in SVC wait","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Wai
tSVC","*IF *VALUE IMS_STATUS.Control_Task_TCB_in_SVC *EQ True");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DB_I/O_Errors";

$PARMS("The IMS system had a write error when trying to update the datab
ase identified in this exception. This database should be examined to de
termine if the data is still usable and valid.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Database Write error","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_DB_I/O_Erro
rs","*IF *VALUE VSAM/OSAM_Databases.Write_Error *EQ Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DB_Dyn_Backout_Error";

$PARMS("The IMS system has had a problem when trying to dynamically back
out of a change to a database. When this exception occurs, you should v
erify that the database identified by the exception is still usable and
contains the correct data. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Database dynamic back out error
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
DB_Dyn_Backout_Error","*IF *VALUE VSAM/OSAM_Databases.Dynamic_Backout_Er
ror *EQ Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DEDB_Error";

$PARMS("The IMS system had a write error when trying to update a data en
try database. The DEDB should be examined to determine if the data is st
ill usable and valid.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","DEDB write error","104070909570
9000","00G0000000000000000000000000000000000000000","IMS_DEDB_Error","*I
F *VALUE Data_Entry_Databases.I/O_Error *EQ True");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_PoolFreeBlocks";

$PARMS("The pool identified in this exception has exceeded the threshold
for number of pool fragments. This can lead to excessive amounts of pag
ing or to applications stalling because they cannot get a large enough p
ool area to handle the request. You can attempt to reduce the fragmentat
ion by terminating tasks that may not be critical to your environment.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool fragmentation","1040709095
709000","00G0000000000000000000000000000000000000000","IMS_PoolFreeBlock
s","*IF *VALUE Pool_Utilization.Free_Blocks *GT 1");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DeviceNotResponding";

$PARMS("The device identified in this exception has not completed an I/O
operation since the last time the device was tested. This is an indicat
ion that it is not responding and the condition should be checked by ope
rations.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Device not responding","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_DeviceNotR
esponding","*IF *VALUE I/O_Devices.Responding *EQ No");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DeviceNotReady";

$PARMS("The device identified in this exception is currently not ready.
If this is a tape drive, it may simply be a matter of waiting for the cu
rrent long running operation to complete. If the problem persists, you s
hould contact operations to see if they can investigate what is happenin
g with the device.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Device not ready","104070909570
9000","00G0000000000000000000000000000000000000000","IMS_DeviceNotReady"
,"*IF *VALUE I/O_Devices.Ready *EQ No *AND *VALUE I/O_Devices.Type *EQ D
ASD");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DepRegSwappedOut";

$PARMS("The dependent region identified by this exception is currently s
wapped out of memory. This will cause delays the next time the dependent
region is needed since all of it's pages will need to be brought back i
nto main storage. If the performance of the applications using this regi
on is critical, then you may want to consider making this region non-swa
ppable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Dependent region swapped out","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Dep
RegSwappedOut","*IF *VALUE Dependent_Regions.Residence_Status *EQ Swappe
dOut");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_ExSubNoCtl";

$PARMS("The DB2 subsystem has been defined to the dependent region, but
the control region does not know about it. This is typically a configura
tion problem that should be discussed with the administrator of the IMS
system.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","DB2 subsystem not defined in co
ntrol region","1040709095709000","00G00000000000000000000000000000000000
00000","IMS_ExSubNoCtl","*IF *VALUE External_Subsystems.DEPRGN_but_no_CT
LRGN *EQ Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_ExSubNoDep";

$PARMS("The DB2 subsystem has been defined to the control region, but th
e dependent region identified in the exception does not know about it. T
his is typically a configuration problem that should be discussed with t
he administrator of the IMS system.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","DB2 subsystem not defined in de
pendent region","1040709095709000","00G000000000000000000000000000000000
0000000","IMS_ExSubNoDep","*IF *VALUE External_Subsystems.CTLRGN_but_no_
DEPRGN *EQ Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Inactive";

$PARMS("This exception will trip if the IMS system is currently in shutd
own status, but has not yet completed. If this condition persists, it ma
y be an indication that one or more of the regions associated with the I
MS system has abended during the shutdown process. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IMS system in shutdown","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_Inactive"
,"*IF *VALUE IMS_STATUS.IMS_Shutdown_In_Progress *EQ True");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DeviceErrorRecovery";

$PARMS("The device identified in this exception is currently in an I/O e
rror recovery state. The system will normally correct itself on this typ
e of a condition. However; if it is happening too frequently, the overal
l performance of your IMS applications could suffer or you may experienc
e loss of data. The hardware device should be checked by the hardware ve
ndor to insure that it is working properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Device in I/O error recovery","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Dev
iceErrorRecovery","*IF *VALUE I/O_Devices.In_Error_Recovery *EQ Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Connected";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Not_Connected";

$PARMS("The IRLM system has not connected to the data-sharing group. Unt
il this occurs, you will not be able to share data across a coupling fac
ility. You should check the IRLM job to see if it is running properly an
d contact IBM support if it is failing to connect to a properly configur
ed coupling facility.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM not connected to data-shar
ing group","1040709095709000","00G00000000000000000000000000000000000000
00","IMS_IRLM_Not_Connected","*IF *VALUE Internal_Resource_Lock_Manager.
IRLM_Active_in_Data_Sharing_Group *EQ No");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Inactive";

$PARMS("The IRLM system is inactive for this IMS. This may be valid if y
ou are not using IRLM as your lock manager. If the IRLM is required, inv
estigate the started task that is supposed to run IRLM to insure that it
is functioning properly. You may need to simply restart the IRLM job.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM not available","1040709095
709000","00G0000000000000000000000000000000000000000","IMS_IRLM_Inactive
","*IF *VALUE IMS_STATUS.IRLM_Status *EQ Inactive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Contention_Warning"
;

$PARMS("The contention rate for data-sharing has exceeded the threshold.
This may be an indication that an application is holding onto a lock lo
nger then it needs to. The locking reports in IMSPLEX can be used to det
ermine the owners and waiters for global locks.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","High data-sharing contention ra
tes","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_IRLM_Contention_Warning","*IF *VALUE Internal_Resource_Lock_Manager.R
eal_Contention_Rate *GE 70 *AND *VALUE Internal_Resource_Lock_Manager.Re
al_Contention_Rate *LT 80");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Contention_Critical
";

$PARMS("The contention rate for data-sharing has exceeded the threshold.
This may be an indication that an application is holding onto a lock lo
nger then it needs to. The locking reports in IMSPLEX can be used to det
ermine the owners and waiters for global locks.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","High data-sharing contention ra
tes","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_IRLM_Contention_Critical","*IF *VALUE Internal_Resource_Lock_Manager.
Real_Contention_Rate *GE 80");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Utilization_Warning
";

$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM use of RLE's is high","104
0709095709000","00G0000000000000000000000000000000000000000","IMS_IRLM_U
tilization_Warning","*IF *VALUE Internal_Resource_Lock_Manager.Percentag
e_of_RLEs_in_Use *GE 70.0 *AND *VALUE Internal_Resource_Lock_Manager.Per
centage_of_RLEs_in_Use *LT 80.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_Utilization_Critica
l";

$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM use of RLE's is high","104
0709095709000","00G0000000000000000000000000000000000000000","IMS_IRLM_U
tilization_Critical","*IF *VALUE Internal_Resource_Lock_Manager.Percenta
ge_of_RLEs_in_Use *GE 80.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Tasks_Waiting_Warning";

$PARMS("The number of IMS tasks that are waiting has exceeded the thresh
old. This is an indication that the system is not running as expected an
d analysis should be done to determine why the tasks are not active.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IMS Tasks waiting","10407090957
09000","00G0000000000000000000000000000000000000000","IMS_Tasks_Waiting_
Warning","*IF *VALUE IMS_STATUS.ITASKs_Waiting *GE 40 *AND *VALUE IMS_ST
ATUS.ITASKs_Waiting *LT 50");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Tasks_Waiting_Critical";

$PARMS("The number of IMS tasks that are waiting has exceeded the thresh
old. This is an indication that the system is not running as expected an
d analysis should be done to determine why the tasks are not active.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IMS Tasks waiting","10407090957
09000","00G0000000000000000000000000000000000000000","IMS_Tasks_Waiting_
Critical","*IF *VALUE IMS_STATUS.ITASKs_Waiting *GE 50");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_LogTape_Writeahead";

$PARMS("The Write Ahead capability enables the system to write data quic
ker by insuring that the resources needed for writing the data are avail
able. If this facility is not active, then some writes will take longer
to perform. The configuration for the IMS system should be checked to in
sure that write ahead is enabled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Write ahead facility not active
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
LogTape_Writeahead","*IF *VALUE IMS_STATUS.Log_Tape_Write-ahead *EQ Inac
tive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VTAM_ACB_Status";

$PARMS("The VTAM ACB currently has a status of Closed and cannot be used
. This will cause connection problems for the physical terminals to IMS.
Check the status of the VTAM started tasks to make sure they are runnin
g properly. You may need to contact operations to determine if there is
a network problem in the data center.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VTAM ACB closed","1040709095709
000","00G0000000000000000000000000000000000000000","IMS_VTAM_ACB_Status"
,"*IF *VALUE IMS_STATUS.VTAM_ACB_Status *EQ Closed");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_LU_Status";

$PARMS("The logical unit status is inactive, which is an indication that
many of your physical terminals will not be able to connect to the IMS
system. The VTAM system should be checked to make sure it is functioning
properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","LU inactive","1040709095709000"
,"00G0000000000000000000000000000000000000000","IMS_LU_Status","*IF *VAL
UE IMS_STATUS.APPC_IMSLU_Status *EQ Inactive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Parallel_DLI_Status";

$PARMS("The Parallel DLI facility is inactive which will reduce the capa
bility of the IMS system to run concurrent DLI requests. The configurati
on of the IMS system should be checked to insure that the facility is en
abled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Parallel DLI inactive","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_Parallel_D
LI_Status","*IF *VALUE IMS_STATUS.Parallel_DL/I_Status *EQ Inactive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Recon_Reserved";

$PARMS("The RECON dataset is currently reserved by another application.
This means that the dataset cannot be used by IMS until the reserve is r
eleased. Use the TSO LOCATE command to determine what other tasks may ha
ve the dataset reserved and take appropriate action to have them release
d.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","RECON dataset reserved","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_Recon_Res
erved","*IF *VALUE RECON_Datasets.Reserved_by_Another_Job *EQ Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Start_DC";

$PARMS("The Start DC command was not issued for this system. If it is de
sired, issue the start now.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Start DC not done","10407090957
09000","00G0000000000000000000000000000000000000000","IMS_Start_DC","*IF
*VALUE IMS_STATUS.Start_DC_Performed *EQ False");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VTAM_Auth_Path";

$PARMS("The VTAM authorized path has a status of inactive. This limits t
he capability of VTAM to perform authorization, which could prevent user
s from accessing the IMS system. Verify that VTAM is properly defined.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VTAM Authorized path inactive",
"1040709095709000","00G0000000000000000000000000000000000000000","IMS_VT
AM_Auth_Path","*IF *VALUE IMS_STATUS.VTAM_Authorized_Path_Status *EQ Ina
ctive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Logging_DS_Error";

$PARMS("The dataset identified in the exception has had an I/O error whi
le trying to read or write logging information to it. Since logging info
rmation is critical for recovery, this state should be avoided. You may
want to replace the dataset used for logging if this problem persists.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Logging dataset had I/O error",
"1040709095709000","00G0000000000000000000000000000000000000000","IMS_Lo
gging_DS_Error","*IF *VALUE Online_Logging_Datasets.I/O_Error *EQ Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Logging_AutoArchive";

$PARMS("The logging facility is currently inactive. This is not a good s
tate to be in since you will loose the ability to recover your data in c
ase of errors. Check with the IMS administrator to make sure that the lo
gging facility is properly defined.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Logging dataset inactive","1040
709095709000","00G0000000000000000000000000000000000000000","IMS_Logging
_AutoArchive","*IF *VALUE DASD_Logging.Auto_Archive *EQ Inactive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Online_Change_Active";

$PARMS("The system has detected that an online change is currently activ
e in the IMS system. This in itself is not a problem, however the status
should eventually change to inactive once the online change has complet
ed. If it does not, it is an indication that the online changes are not
completing properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Online change currently active"
,"1040709095709000","00G0000000000000000000000000000000000000000","IMS_O
nline_Change_Active","*IF *VALUE IMS_STATUS.Online_Change_in_Progress *E
Q True");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Online_Change_Occurred";

$PARMS("This is an indication that at least one online change has occurr
ed during the running of this IMS system. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Online change has occurred","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_Onlin
e_Change_Occurred","*IF *VALUE IMS_STATUS.Online_Change_has_Occurred *EQ
Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OLDS_I/O_Errors_Critical
";

$PARMS("The number of Online Logging datasets that have had I/O errors h
as exceeded the limit. This is an indication that you may be having prob
lems with the DASD devices where the datasets reside. You should check t
o see what types of errors are being reported for the devices and move t
he datasets to devices that are more stable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Logging datasets with I/O error
s","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_OLDS_I/O_Errors_Critical","*IF *VALUE DASD_Logging.OLDS_with_I/O_Errors
 *GE 1");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_BP_Locked_Count";

$PARMS("The number of buffer pool pages locked has exceeded the threshol
d. Locked buffers will reduce the amount of storage available to the sys
tem, however they will also insure that the access to the data in the bu
ffer is faster since the pages will be in memory. This is not a real pro
blem unless your system has real storage constraints that are impacting
other applications.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Locked buffer pool pages","1040
709095709000","00G0000000000000000000000000000000000000000","IMS_BP_Lock
ed_Count","*IF *VALUE Buffer_Pool_Statistics.Locked_Count *GT 0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OLDS_One_Active";

$PARMS("The count of Online Logging Datasets is one. This means that the
re will be no place to write the logging information once this dataset f
ills up. The system configuration should be checked to make sure multipl
e online datasets are defined and that they are available to the IMS sys
tem.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Only one online logging dataset
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
OLDS_One_Active","*IF *VALUE DASD_Logging.OLDS_Active *EQ 1");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OSAM_Rate_High_Warning";

$PARMS("The OSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","OSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_OSAM_
Rate_High_Warning","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 50 *AND
 *VALUE VSAM/OSAM_Databases.EXCP_Rate *LT 60 *AND *VALUE VSAM/OSAM_Datab
ases.Access_Method *EQ OSAM");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OSAM_Rate_High_Critical"
;

$PARMS("The OSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","OSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_OSAM_
Rate_High_Critical","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 60 *AN
D *VALUE VSAM/OSAM_Databases.Access_Method *EQ OSAM");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Waiting_Dyn_SAP";

$PARMS("The system is waiting on dynamic SAP, which could cause delays t
o the applications. The SAP should be checked to insure that it is funct
ioning properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Waiting on dynamic SAP","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_Waiting_D
yn_SAP","*IF *VALUE IMS_STATUS.Waiting_On_Dynamic_SAPs *EQ True");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_TCO_Inactive";

$PARMS("The Time Control facilities within IMS are not active. If TCO is
needed, you should reconfigure the system to make it available.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Time control facility inactive"
,"1040709095709000","00G0000000000000000000000000000000000000000","IMS_T
CO_Inactive","*IF *VALUE IMS_STATUS.TCO_Status *EQ Inactive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VSAM_Rate_High_Warning";

$PARMS("The VSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_VSAM_
Rate_High_Warning","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 30 *AND
 *VALUE VSAM/OSAM_Databases.EXCP_Rate *LT 80 *AND *VALUE VSAM/OSAM_Datab
ases.Access_Method *EQ VSAM");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_VSAM_Rate_High_Critical"
;

$PARMS("The VSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_VSAM_
Rate_High_Critical","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 80 *AN
D *VALUE VSAM/OSAM_Databases.Access_Method *EQ VSAM");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Logging_WriteAhead";

$PARMS("The Write Ahead capability enables the system to write data quic
ker by insuring that the resources needed for writing the data are avail
able. If this facility is not active, then some writes will take longer
to perform. The configuration for the IMS system should be checked to in
sure that write ahead is enabled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Write ahead disabled","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_Logging_Wri
teAhead","*IF *VALUE DASD_Logging.Write_Ahead_Status *EQ Inactive");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Physical_Logger_SVC";

$PARMS("The task responsible for doing physical logging for IMS is curre
ntly in SVC wait. If this condition persists, then the logging activitie
s for the IMS system will end up being delayed and cause the performance
of the IMS applications to suffer. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Physical logger in SVC wait","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Phys
ical_Logger_SVC","*IF *VALUE IMS_STATUS.Physical_Logger_TCB_in_SVC *EQ T
rue");


